curl -X POST 'https://api.sendforsign.com/api/placeholder' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"contractKey": "CONTRACT_KEY",
"placeholders": [
{
"placeholderKey": "RECIPIENT_KEY_4",
"isSpecial": true,
"specialType": 4,
"insertion": [
{
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"id": 2,
"pageId": 0,
"width": 150,
"height": 150,
"positionX": 1,
"positionY": 1
}
]
}
]
}
}'
{
"code": 201,
"message": "Placeholder updated"
}
Placeholder
Place special placeholder
Place a special placeholder in a PDF contract.
POST
/
api
/
placeholder
curl -X POST 'https://api.sendforsign.com/api/placeholder' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"contractKey": "CONTRACT_KEY",
"placeholders": [
{
"placeholderKey": "RECIPIENT_KEY_4",
"isSpecial": true,
"specialType": 4,
"insertion": [
{
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"id": 2,
"pageId": 0,
"width": 150,
"height": 150,
"positionX": 1,
"positionY": 1
}
]
}
]
}
}'
{
"code": 201,
"message": "Placeholder updated"
}
Special placeholders are four types of placeholders that are created automatically for every recipient.
So, before placing special fields in your PDF contract, create a recipient using this request.
After this, all the special placeholders will be created automatically with corresponding keys:
Recipient_Key_1, Recipient_Key_2, Recipient_Key_3, Recipient_Key_4.
Here’s an example of a placeholder key: "placeholderKey": "93447fb5-91ee-41ad-9f73-b4ae2d467292_4".
Available placeholder codes:
- 1: Recipient’s date signed.
- 2: Recipient’s full name.
- 3: Recipient’s email.
- 4: Recipient’s signature.
Body parameters
object
required
Show child attribute
Show child attribute
string
required
Action type.
string
required
Key of the client.
string
required
Key of the contract.
array
required
Array of placeholders.
Show child attribute
Show child attribute
string
required
Key of the placeholder that needs to be updated. Generated automatically from 2 paramaters: Recipient’s Key and Special Type.
boolean
required
True for special fields.
string
required
Use the following placeholder codes to create the corresponding fields:
1: Recipient’s date signed,
2: Recipient’s full name
3: Recipient’s email
4: Recipient’s signature
array
Array of places.
Show child attribute
Show child attribute
string
ID of the insertion. Provide a new ID for each insertion. If you provide the ID of an existing
placeholder, the placeholder will be updated.
string
Page number where you insert the placeholder, starting from 0.
string
Width of the placeholder.
string
Height of the placeholder.
string
Position X of the placeholder, starting from the top-left corner of the page.
string
Position Y of the placeholder, starting from the top-left corner of the page.
Response
string
The code of the answer.
string
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/placeholder' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"contractKey": "CONTRACT_KEY",
"placeholders": [
{
"placeholderKey": "RECIPIENT_KEY_4",
"isSpecial": true,
"specialType": 4,
"insertion": [
{
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"id": 2,
"pageId": 0,
"width": 150,
"height": 150,
"positionX": 1,
"positionY": 1
}
]
}
]
}
}'
{
"code": 201,
"message": "Placeholder updated"
}